<?php

namespace Drupal\lol\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Database\Database;
use Drupal\Core\Url;

/**
* Class lolController.
*/
class lolController extends ControllerBase {
  
  public function presentacion() {
    // Esto va ser las cabeceras de las tables(es decir los que va aparecer encima de los campeones insertados)
    $header_table = array(
      'id'=> t('Identificador'),
      'nombre' => t('Nombre'),
      'rol' => t('Rol'),
      'condicion'=>t('Condicion'),
      'opt' => t('Borrar'),
      'opt1' => t('Editar'),
      
    );
    // mostrará todos los campeones
    $query = \Drupal::database()->select('campeon', 'camp');
    $query->fields('camp',
    ['id','nombre','rol','condicion']);
    $resultados = $query->execute()->fetchAll();
    $rows=array();
    
    
    // Hacemos un foreach para pasar por cada fila agregandola a rows 
    foreach($resultados as $data){
      // links para borrar y editar los campeones
      $delete = Url::fromUserInput('/lol/borrar/'.$data->id);
      $edit = Url::fromUserInput('/crear?num='.$data->id);
      
      // rows va almacenando los datos de las filas
      $rows[] = array(
        'id' =>$data->id,
        'nombre' => $data->nombre,
        'rol' => $data->rol,
        'condicion' => $data->condicion,
        
        // hace referencia al delete de arriba y edit 
        \Drupal::l('Eliminar', $delete),
        \Drupal::l('Editar', $edit),
	
      );
    }
    // genera una tabla y mostrará los campos sino los hay pues devolverá el mensaje de empty
    $form['table'] = [
      '#type' => 'table',
      '#header' => $header_table,
      '#rows' => $rows,
      '#empty' => t('No se encontraron datos'),
    ];
    $form['crear_campeon_form'] = [
      '#title' => $this->t('Nuevo campeon'),
      '#type' => 'link',
      '#url' => Url::fromRoute('lol.lol_controller_crearCampeon'),
    ];

    return $form;
  }
   public function crearCampeon() {
   // Utilizamos el formulario
    $form = $this->formBuilder()->getForm('Drupal\lol\Form\crearCampeonForm');

    // Pasamos el formulario y los parámetros a la vista
    return [
   '#theme' => 'lol',
   '#titulo' => $this->t('Crea tu campeon'),
   '#formulario' => $form
   ];
  }
}
?>