<?php

namespace Drupal\lol\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Form\ConfirmFormBase;
use Drupal\Core\Url;
use Drupal\Core\Render\Element;

/**
* Class BorrarForm.
*/
class BorrarForm extends ConfirmFormBase {
  public $cid;
  private $id;
  
  /**
  * {@inheritdoc}
  */
  public function getFormId() {
    return 'borrar_form';
  }
  
  /**
  * {@inheritdoc}
  */

  //son metodos ya definidos que hereda 
  public function getQuestion() {
    return t('¿Seguro que deseas eliminar el campeon con id: %cid?',
    array('%cid' => $this->id));
  }
  
  public function getCancelUrl() {
    return new Url('lol.lol_controller_presentacion');
  }
  public function getDescription() {
    return t('¿Estás seguro?');
  }
  public function getConfirmText() {
    return t('Eliminar');
  }
  public function getCancelText() {
    return t('Cancelar');
  }
  
  
  
  
  public function buildForm(array $form, FormStateInterface $form_state, $cid = NULL) {
    $this->id = $cid;
    return parent::buildForm($form, $form_state);
  }
  
  
  /**
  * {@inheritdoc}
  */
  public function validateForm(array &$form, FormStateInterface $form_state) {
    parent::validateForm($form, $form_state);
  }
  
  /**
  * {@inheritdoc}
  */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $query = \Drupal::database();
    $query->delete('campeon')
    ->condition('id',$this->id)
    ->execute();
    drupal_set_message("Eliminado correctamente.");
    $form_state->setRedirect('lol.lol_controller_presentacion');
  }
}
?>

