<?php

namespace Drupal\lol\Form;

use Drupal\Core\Form\FormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Database\Database;
use Symfony\Component\HttpFoundation\RedirectResponse;
/**
* Class crearCampeonForm.
*/
class crearCampeonForm extends FormBase {
  
  
  /**
  * {@inheritdoc}
  */
  public function getFormId() {
    return 'crear_campeon_form';
  }
  
  /**
  * {@inheritdoc}
  */
  public function buildForm(array $form, FormStateInterface $form_state) {
    
    $conexion = Database::getConnection();
    $rexistro = array();
    // Si recibe un id del campeón recupera los datos
    if (isset($_GET['num'])) {
      $query = $conexion->select('campeon', 'camp')
      ->condition('id', $_GET['num'])
      ->fields('camp');
      $rexistro = $query->execute()->fetchAssoc();
    }
    
    $form['campeon_nombre'] = array(
      '#type' => 'textfield',
      '#title' => t('Nombre:'),
      '#required' => TRUE,
      '#default_value' => (isset($rexistro['nombre']) && $_GET['num']) ?
      $rexistro['nombre']:'',
    );
    
    $form['campeon_rol'] = array(
      '#type' => 'textfield',
      '#title' => t('Rol:'),
      '#default_value' => (isset($rexistro['rol']) && $_GET['num']) ?
      $rexistro['rol']:'',
    );
    $form['campeon_condicion'] = array (
      '#type' => 'select',
      '#default_value' => (isset($rexistro['condicion']) && $_GET['num']) ?
      $rexistro['condicion'] : '',
      '#title' => t('Condicion'),
      '#options' => array(
        'AP' => 'AP',
        'AD' => 'AD',
      ),
    );
    
    $form['submit'] = [
      '#type' => 'submit',
      '#value' => t('Enviar'),
    ];
    
    
    return $form;
  }
  
  /**
  * {@inheritdoc}
  */
  //validaciones
  public function validateForm(array &$form, FormStateInterface $form_state) {
    $nombre = $form_state->getValue('campeon_nombre');
    if(preg_match('/[^A-Z a-z]/', $nombre)) {
      $form_state->setErrorByName('campeon_nombre', $this->t('Sólo se permiten letras'));
    } 
    $rol = $form_state->getValue('campeon_rol');
    if(preg_match('/[^A-Z a-z]/', $rol)) {
      $form_state->setErrorByName('campeon_rol', $this->t('Sólo se permiten letras'));
    
    }
  }
  
  
  
  /**
  * {@inheritdoc}
  */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $field = $form_state->getValues();
    $nombre = $field['campeon_nombre'];
    $rol = $field['campeon_rol'];
    $condicion = $field['campeon_condicion'];
    if (isset($_GET['num'])) {
      // UPDATE
      $field = array(
        'nombre' => $nombre,
        'rol' => $rol,
        'condicion' => $condicion,
      );
      $query = \Drupal::database();
      $query->update('campeon')
      ->fields($field)
      ->condition('id', $_GET['num'])
      ->execute();
      drupal_set_message("Actualizado correctamente.");
      $form_state->setRedirect('lol.lol_controller_presentacion');
    }
    else
    {
      // INSERT
      $field = array(
        'nombre' => $nombre,
        'rol' => $rol,
        'condicion' => $condicion,
      );
      $query = \Drupal::database();
      $query ->insert('campeon')
      ->fields($field)
      ->execute();
      drupal_set_message("Insertado correctamente.");
      $response = new
      RedirectResponse(\Drupal::url('lol.lol_controller_presentacion'));
      $response->send();
    }
  }
}
?>
